# EDUCATIONAL VIDEO SUMMARIZER AND DIGITAL HUMAN ASSISTANT FOR EFFECTIVE LEARNING

### Group Number

#### **`2022-066`**

### Members                  

|         Name             |  IT number    |  Specialization  |
| ------------------------ | ------------- | ---------------- |
| Wangchen T.              |  IT19098838   |        SE        |
| Pasqual N. T.            |  IT19408316   |        SE        |  
| De Silva K. C. C. C.     |  IT19114736   |        IT        |
| Walimuni Dewage T. S. S. |  IT19161334   |        SE        |

### Supervisor

*Dr. Nuwan Kodagoda*

### Co-Supervisor 

*Ms. Kushnara Suriyawansa*

## Table of Contents

- [Main Objective](#main-objective)
- [Main Research Question](#main-research-question)
- [Individual Objectives](#individual-objectives)
    + [IT19098838 - Wangchen T.](#it19098838---wangchen-t)
    + [IT19408316 - Pasqual N. T.](#it19408316---pasqual-n-t)
    + [IT19114736 - De Silva K. C. C. C.](#it19114736---de-silva-k-c-c-c)
    + [IT19161334 - Walimuni Dewage T. S. S.](#it19161334---walimuni-dewage-t-s-s)
- [Individual Research Questions](#individual-research-questions)
    + [IT19098838 - Wangchen T.](#it19098838---wangchen-t-1)
    + [IT19408316 - Pasqual N. T.](#it19408316---pasqual-n-t-1)
    + [IT19114736 - De Silva K. C. C. C.](#it19114736---de-silva-k-c-c-c-1)
    + [IT19161334 - Walimuni Dewage T. S. S.](#it19161334---walimuni-dewage-t-s-s-1)
- [Technologies](#technologies)
    + [Frontend](#frontend)
    + [Backend](#backend)
    + [Database](#database)
    + [Deployment](#deployment)


## Main Objective


>  To implement educational assistance which helps students to have summarized version of video lectures along with transcript where students can also search for specific topics and help them to clarify their educational doubts relevant to lecture topic and for further clarifications, give examples and links of relevant sites.

## Main Research Question


*  What is kind of services students expect from an educational assistant regarding recorded lecture videos.

## Individual Objectives


#### IT19098838 - Wangchen T. 


>  To implement an educational summarized video that helps the students to have a summarized version of the video (which includes important topics, points, and concepts) that helps them and makes their learning efficiency efficient.

#### IT19408316 - Pasqual N. T.


>  Implementing a digital human assistant to clarify students’ educational doubts relevant to the lecture topics.

#### IT19114736 - De Silva K. C. C. C.


>  Indexing the Summarized Videos by topics and by code samples to improve searchability and minimize the learning time.

#### IT19161334 - Walimuni Dewage T. S. S.


>  Develop a system that can identify hand-drawn obscure content & visual content in lecture videos and create a well-optimized classroom note containing them.

## Individual Research Questions


#### IT19098838 - Wangchen T. 


*  How effectively do students think they can perform if only the content of the syllabus is in the video.

*  Do students think the content that is present in the video is more than just the syllabus content, and these contents are not relevant to users.

#### IT19408316 - Pasqual N. T.


*  What AI(Artificial Intelligent) assistants services, which simulates a conversation with the users, students usually use to get answers to their academic problems. (Ex: Google Assistant, Chatbot)

*  How do students feel about having a conversation with a 3D virtual assistant which has a life-like face.

#### IT19114736 - De Silva K. C. C. C.


*  What kind of experience do students have about finding the content of interest in a lecture video.

*  How they usually navigate to specific data that they need to be extracted.

#### IT19161334 - Walimuni Dewage T. S. S.


*  When students create lecture notes, do they include figures and graphs in the video.

*  What kind of experience do students have about identifying the hand-down graphs, symbols, equations on the whiteboard or PowerPoint slides in the lecture video.

## Technologies


#### Frontend

    ReactJS, Boostrap, MaterialUI 
    
#### Backend

    NodeJS, ExpressJS, FastAPI

#### Database

    Amazon S3, MongoDB

#### Deployment

    AWS
    
<hr>
    
![visitors](https://visitor-badge.laobi.icu/badge?page_id=2022-066.visitor-badge)
