import React from 'react'
import { Card, Icon } from 'antd';

const { Meta } = Card;

function CardComponent(props) {
    return (
        <Card
            style={{ width: 280, backgroundColor: 'aquamarine', boxShadow:'0.3px 0.3px 3px 3px rgba(127, 255, 212, 0.452)'}}
            cover={
                <img
                    alt={props.cardInfo.fields.description.stringValue}
                    src={props.cardInfo.fields.image.stringValue} />
            }
            actions={[
                <a target="_blank" rel="noopener noreferrer" href={props.cardInfo.fields.link.stringValue}>
                    Watch Now
                </a>
            ]}
        >
            <Meta
                style={{ backgroundColor: 'aquamarine' }}
                title={props.cardInfo.fields.stack.stringValue}
                description={props.cardInfo.fields.description.stringValue}
            />

        </Card>

    )
}

export default CardComponent
